# Uses of Interface
java.lang.classfile.attribute.InnerClassInfo

Packages that use InnerClassInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of InnerClassInfo in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return InnerClassInfo
Modifier and Type
Method
Description
`static InnerClassInfo`
InnerClassInfo.`of(ClassEntry innerClass, Optional<ClassEntry> outerClass, Optional<Utf8Entry> innerName, int flags)`
Returns a nested class description.
`static InnerClassInfo`
InnerClassInfo.`of(ClassDesc innerClass, Optional<ClassDesc> outerClass, Optional<String> innerName, int flags)`
Returns a nested class description.
`static InnerClassInfo`
InnerClassInfo.`of(ClassDesc innerClass, Optional<ClassDesc> outerClass, Optional<String> innerName, AccessFlag... flags)`
Returns a nested class description.
Methods in java.lang.classfile.attribute that return types with arguments of type InnerClassInfo
Modifier and Type
Method
Description
`List<InnerClassInfo>`
InnerClassesAttribute.`classes()`
Returns the nested classes used by this `class` file.
Methods in java.lang.classfile.attribute with parameters of type InnerClassInfo
Modifier and Type
Method
Description
`static InnerClassesAttribute`
InnerClassesAttribute.`of(InnerClassInfo... innerClasses)`
Returns an `InnerClasses` attribute.
Method parameters in java.lang.classfile.attribute with type arguments of type InnerClassInfo
Modifier and Type
Method
Description
`static InnerClassesAttribute`
InnerClassesAttribute.`of(List<InnerClassInfo> innerClasses)`
Returns an `InnerClasses` attribute.